org.apache.storm.generated

## Class HBMessage

- java.lang.Object
- - org.apache.storm.generated.HBMessage

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<HBMessage>, org.apache.storm.thrift.TBase<HBMessage,HBMessage._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class HBMessage
      extends Object
      implements org.apache.storm.thrift.TBase<HBMessage,HBMessage._Fields>, Serializable, Cloneable, Comparable<HBMessage>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HBMessage._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<HBMessage._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HBMessage()`
    `HBMessage(HBMessage other)` Performs a deep copy on other.
    `HBMessage(HBServerMessageType type, HBMessageData data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(HBMessage other)`
    `HBMessage` | `deepCopy()`
    `boolean` | `equals(HBMessage that)`
    `boolean` | `equals(Object that)`
    `HBMessage._Fields` | `fieldForId(int fieldId)`
    `HBMessageData` | `get_data()`
    `int` | `get_message_id()`
    `HBServerMessageType` | `get_type()`
    `Object` | `getFieldValue(HBMessage._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_data()` Returns true if field data is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_message_id()` Returns true if field message_id is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_type()` Returns true if field type is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(HBMessage._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_data_isSet(boolean value)`
    `void` | `set_data(HBMessageData data)`
    `void` | `set_message_id_isSet(boolean value)`
    `void` | `set_message_id(int message_id)`
    `void` | `set_type_isSet(boolean value)`
    `void` | `set_type(HBServerMessageType type)`
    `void` | `setFieldValue(HBMessage._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_data()`
    `void` | `unset_message_id()`
    `void` | `unset_type()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<HBMessage._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### HBMessage

          public HBMessage()

    - #### HBMessage

          public HBMessage(HBServerMessageType type,
                           HBMessageData data)

    - #### HBMessage

          public HBMessage(HBMessage other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public HBMessage deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<HBMessage,HBMessage._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<HBMessage,HBMessage._Fields>`

    - #### get_type

          public HBServerMessageType get_type()

      See Also:
        `HBServerMessageType`

    - #### set_type

          public void set_type(HBServerMessageType type)

      See Also:
        `HBServerMessageType`

    - #### unset_type

          public void unset_type()

    - #### is_set_type

          public boolean is_set_type()

      Returns true if field type is set (has been assigned a value) and false otherwise

    - #### set_type_isSet

          public void set_type_isSet(boolean value)

    - #### get_data

          public HBMessageData get_data()

    - #### set_data

          public void set_data(HBMessageData data)

    - #### unset_data

          public void unset_data()

    - #### is_set_data

          public boolean is_set_data()

      Returns true if field data is set (has been assigned a value) and false otherwise

    - #### set_data_isSet

          public void set_data_isSet(boolean value)

    - #### get_message_id

          public int get_message_id()

    - #### set_message_id

          public void set_message_id(int message_id)

    - #### unset_message_id

          public void unset_message_id()

    - #### is_set_message_id

          public boolean is_set_message_id()

      Returns true if field message_id is set (has been assigned a value) and false otherwise

    - #### set_message_id_isSet

          public void set_message_id_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(HBMessage._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<HBMessage,HBMessage._Fields>`

    - #### getFieldValue

          public Object getFieldValue(HBMessage._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<HBMessage,HBMessage._Fields>`

    - #### isSet

          public boolean isSet(HBMessage._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<HBMessage,HBMessage._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(HBMessage that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(HBMessage other)

      Specified by:
        `compareTo` in interface `Comparable<HBMessage>`

    - #### fieldForId

          public HBMessage._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<HBMessage,HBMessage._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.